%define module_name Game-Tibia-Packet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/ECB.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/XTEA.pm) perl(Data/HexDump.pm) perl(Digest/Adler32.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Scalar/Util.pm) perl(Test/HexString.pm) perl(Test/More.pm) perl(blib.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: Minimal session layer support for the MMORPG Tibia
Group: Development/Perl
License: perl
URL: https://github.com/athreef/Game-Tibia-Packet

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHREEF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Methods for constructing Tibia packets. Doesn't handle the XTEA key exchange yet, only what comes after it. i.e. It doesn't do that much besides calculating Adler32 digest and XTEA encryption.

Tested working with Tibia 8.6, but will probably work with later protocol versions too.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE CHANGES
%perl_vendor_privlib/G*
%perl_vendor_privlib/auto/*

%changelog
* Fri Jun 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- regenerated from template by package builder

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- regenerated from template by package builder

* Mon Dec 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

